> ## Documentation Index
> Fetch the complete documentation index at: https://docs.instantrestapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Waitlist

> Post your email to get in the waitlist and receive a permanent beta API key



## OpenAPI

````yaml POST /waitlist
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://instantrestapi.com/api/
security: []
paths:
  /waitlist:
    post:
      description: >-
        Post your email to get in the waitlist and receive a permanent beta API
        key
      requestBody:
        description: Your email
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/email'
        required: true
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api-key'
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors'
components:
  schemas:
    email:
      required:
        - email
      type: object
      properties:
        email:
          type: string
    api-key:
      type: object
      properties:
        api-key:
          type: string
    errors:
      required:
        - error
        - message
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/error'
    error:
      type: object
      properties:
        error:
          type: string
        message:
          type: string

````